settings.outformat="svg";
size(5cm,0);
import graph;

real xmin = -0.1;
real xmax = 2.1;
real ymin = -0.1;
real ymax = sqrt(8)+0.1;

pair Frel(real t) {
     return (sqrt(1 + t^2) - 1, t);
}
path rel = graph(Frel, 0, sqrt(8));
draw(rel, arrow=Arrow(), L=Label(rotate(46)*"relativistic", position=EndPoint, align=1.6S));

draw((0, 1) -- (2, 3), p=dashdotted+red, L=Label(scale(0.7)*rotate(45)*"asymptotic light cone", position=MidPoint, align=N));

pair Fcla(real t) {
     return (0.5*t^2, t);
}
path cla = graph(Fcla, 0, 2);
draw(cla, arrow=Arrow(), p=dashed+blue, L=Label(rotate(32)*"classical", position=MidPoint, align=2E));

arrowbar axisarrow = Arrow(TeXHead);
Label xlabel = Label("$x(t)$", position=EndPoint);
draw((xmin, 0) -- (xmax, 0), arrow=axisarrow, L=xlabel);
Label ylabel = Label("$t$", position=EndPoint);
draw((0, ymin) -- (0, ymax), arrow=axisarrow, L=ylabel);
